
From: "J. Bruce Fields" <bfields@fieldses.org>

Since ip_map->m_class is now freed with kfree() when ip_map is destroyed,
we can't assign the static string "nfsd" to it.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Cc: NeilBrown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/sunrpc/svcauth_unix.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN net/sunrpc/svcauth_unix.c~auth_unix_lookup-oops-fix net/sunrpc/svcauth_unix.c
--- 25/net/sunrpc/svcauth_unix.c~auth_unix_lookup-oops-fix	2004-08-25 14:26:52.994639096 -0700
+++ 25-akpm/net/sunrpc/svcauth_unix.c	2004-08-25 14:26:52.997638640 -0700
@@ -306,10 +306,11 @@ struct auth_domain *auth_unix_lookup(str
 	struct ip_map key, *ipm;
 	struct auth_domain *rv;
 
-	key.m_class = "nfsd";
+	key.m_class = strdup("nfsd");
 	key.m_addr = addr;
 
 	ipm = ip_map_lookup(&key, 0);
+	kfree(key.m_class);
 
 	if (!ipm)
 		return NULL;
_
